
local script = conf_dir .. "modules/screenshot/screenshot.fish"
script = script .. " "

local function screenshot_action(mode)
	awful.spawn(script .. mode, false)
end


return {
	keybinds = gears.table.join(
		awful.key( {}, "Print",
			function ()
				screenshot_action("normal")
			end,

			{
				description = "Take a screenshot",
				group = "Screenshot"
			}
		),

		awful.key( {"Control", "Shift"}, "Print",
			function ()
				screenshot_action("ocr-rus")
			end,

			{
				description = "OCR Capture (Russian)",
				group = "Screenshot"
			}
		),

		awful.key( {"Control"}, "Print",
		function ()
			screenshot_action("ocr-eng")
		end,

		{
			description = "OCR Capture (English)",
			group = "Screenshot"
		}
	),

		awful.key( {"Shift"}, "Print",
			function ()
				screenshot_action("pin")
			end,

			{
				description = "Pin a screenshot",
				group = "Screenshot"
			}
		)
	)
}
